Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toolkit.db.api
Class ConnectionInfo

    java.lang.Object
      toolkit.db.api.ConnectionInfo

    public class ConnectionInfo

extends java.lang.Object

Class ConnectionInfo wraps all info of related connections.

Field Summary
`static int` | `ENCODING_AUTO`
`static int` | `ENCODING_NO`
`static int` | `ENCODING_YES`
`static int` | `EXTRA_NAME_JDBC`
`static int` | `EXTRA_NAME_USERDEFINED`
`static int` | `READ_ONLY_DEFAULT`
`static int` | `READ_ONLY_FALSE`
`static int` | `READ_ONLY_TRUE`
`static int` | `TABLE_QUALIFIED_PATTERN_THREE_PARTS`
`static int` | `TABLE_QUALIFIED_PATTERN_TWO_PARTS`
`static int` | `TABLE_QUALIFIED_PATTERN_UNQUALIFIED`
`static int` | `TRANSACTION_DEFAULT`
`static int` | `TRANSACTION_NONE`
`static int` | `TRANSACTION_READ_COMMITTED`
`static int` | `TRANSACTION_READ_UNCOMMITTED`
`static int` | `TRANSACTION_REPEATABLE_READ`
`static int` | `TRANSACTION_SERIALIZABLE`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this ConnectionInfo to the specified object.
`java.lang.String` | `getDateFormat()` Get format of Date type.
`java.lang.String` | `getDriver()` Get the jdbc driver name.
`int` | `getEncodingPattern()` Get encoding option when getting string from ResultSet.
`int` | `getExtraNamePattern()` Get qualified name pattern.
`java.lang.String` | `getPassword()` Get the user's password.
`int` | `getQualifiedNamePattern()` Get qualified pattern of table name.
`int` | `getReadOnly()` Get read-only property of connection.
`java.lang.String` | `getTimeFormat()` Get format of Time type.
`java.lang.String` | `getTimestampFormat()` Get format of Timestemp type.
`int` | `getTransactionIsolation()` Get transaction level of connection.
`java.lang.String` | `getURL()` Get the jdbc URL.
`java.lang.String` | `getUser()` Get the user name used to connect to database.
`java.lang.String` | `toString()` Returns a string representing this ConnectionInfo's values.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRANSACTION_DEFAULT

    public static final int TRANSACTION_DEFAULT

### TRANSACTION_NONE

    public static final int TRANSACTION_NONE

### TRANSACTION_READ_UNCOMMITTED

    public static final int TRANSACTION_READ_UNCOMMITTED

### TRANSACTION_READ_COMMITTED

    public static final int TRANSACTION_READ_COMMITTED

### TRANSACTION_REPEATABLE_READ

    public static final int TRANSACTION_REPEATABLE_READ

### TRANSACTION_SERIALIZABLE

    public static final int TRANSACTION_SERIALIZABLE

### READ_ONLY_DEFAULT

    public static final int READ_ONLY_DEFAULT

### READ_ONLY_TRUE

    public static final int READ_ONLY_TRUE

### READ_ONLY_FALSE

    public static final int READ_ONLY_FALSE

### TABLE_QUALIFIED_PATTERN_UNQUALIFIED

    public static final int TABLE_QUALIFIED_PATTERN_UNQUALIFIED

### TABLE_QUALIFIED_PATTERN_TWO_PARTS

    public static final int TABLE_QUALIFIED_PATTERN_TWO_PARTS

### TABLE_QUALIFIED_PATTERN_THREE_PARTS

    public static final int TABLE_QUALIFIED_PATTERN_THREE_PARTS

### EXTRA_NAME_JDBC

    public static final int EXTRA_NAME_JDBC

### EXTRA_NAME_USERDEFINED

    public static final int EXTRA_NAME_USERDEFINED

### ENCODING_AUTO

    public static final int ENCODING_AUTO

### ENCODING_YES

    public static final int ENCODING_YES

### ENCODING_NO

    public static final int ENCODING_NO

Method Detail

### getDriver

    public java.lang.String getDriver()

  Get the jdbc driver name.

  Returns:
    the jdbd driver name.

### getURL

    public java.lang.String getURL()

  Get the jdbc URL.

  Returns:
    the jdbd URL.

### getUser

    public java.lang.String getUser()

  Get the user name used to connect to database.

  Returns:
    the user name.

### getPassword

    public java.lang.String getPassword()

  Get the user's password.

  Returns:
    the user's password.

### getDateFormat

    public java.lang.String getDateFormat()

  Get format of Date type.

  Returns:
    the format Date type.

### getTimeFormat

    public java.lang.String getTimeFormat()

  Get format of Time type.

  Returns:
    the format of Time type.

### getTimestampFormat

    public java.lang.String getTimestampFormat()

  Get format of Timestemp type.

  Returns:
    the format of Timestemp type.

### getTransactionIsolation

    public int getTransactionIsolation()

  Get transaction level of connection. The valid value sould be TRANSACTION_XXXX.

  Returns:
    the transaction level of connection.

### getReadOnly

    public int getReadOnly()

  Get read-only property of connection. The valid value sould be READ_ONLY_XXXX.

  Returns:
    the read-only property of connection.

### getQualifiedNamePattern

    public int getQualifiedNamePattern()

  Get qualified pattern of table name. The valid value sould be TABLE_QUALIFIED_PATTERN_XXXX.

  Returns:
    the qualified pattern of table name.

### getExtraNamePattern

    public int getExtraNamePattern()

  Get qualified name pattern. The valid value sould be EXTRA_NAME_XXXX.

  Returns:
    the qualified name pattern.

### getEncodingPattern

    public int getEncodingPattern()

  Get encoding option when getting string from ResultSet. The valid value sould be ENCODING_XXXX.

  Returns:
    encoding option when getting string from ResultSet.

### equals

    public boolean equals(java.lang.Object obj)

  Compares this ConnectionInfo to the specified object.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the ConnectionInfo is same; false otherwise.

### toString

    public java.lang.String toString()

  Returns a string representing this ConnectionInfo's values. The format is as follows:

  >       className@hashCode[ driver | URL | user | password |
  >                           dateFromat | timeFormat | timestampFromat |
  >                           transactionLevelString | isReadOnly |
  >                           tableQualifyOption | extraNamePattern |
  >                           encodingPattern ]

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representing this AndInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD